//===--- ModularizeUtilities.cpp - common utilities -------------*- C++ -*-===//
//
//                     The LLVM Compiler Infrastructure
//
// This file is distributed under the University of Illinois Open Source
// License. See LICENSE.TXT for details.
//
//===----------------------------------------------------------------------===//

#include "ModularizeUtilities.h"
#include "llvm/Support/raw_ostream.h"
#include "clang/Basic/SourceManager.h"
#include <stdio.h>
#include <stdarg.h>

namespace Modularize {
using namespace llvm;
using namespace clang;

std::string getIndent(int level) {
  char buffer[256];
  int index = 0;

  while (level > 0) {
    int size = 4;
    while (size-- > 0)
      buffer[index++] = ' ';
    level--;
  }

  buffer[index] = '\0';

  return std::string(buffer);
}

}
