//===--- ModularizeUtilities.h - Common utilities ---------------*- C++ -*-===//
//
//                     The LLVM Compiler Infrastructure
//
// This file is distributed under the University of Illinois Open Source
// License. See LICENSE.TXT for details.
//
//===----------------------------------------------------------------------===//
///
/// \file
/// \brief Defines utilities used in common for Modularize.
///
//===----------------------------------------------------------------------===//

#ifndef MODULARIZEUTILITIES_H
#define MODULARIZEUTILITIES_H

#include <string>

namespace Modularize {

/// \brief Returns a string with level * 4 spaces.
std::string getIndent(int level);

/// \brief Outputs a trace string.
void trace(const char *format, ...);

}  // end namespace clang

#endif
